cmake_minimum_required(VERSION 3.10)
set(BUILD_SHARED_LIBS OFF)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
set(CMAKE_MSVC_RUNTIME_LIBRARY "MultiThreaded$<$<CONFIG:Debug>:Debug>")
add_subdirectory(deps/SDL)
add_subdirectory(deps/SDL_ttf)
add_subdirectory(deps/portaudio)
add_subdirectory(lib/)
add_subdirectory(gbemu/)
add_subdirectory(deps/check/)
enable_testing()
add_subdirectory(tests/)
project(top)
